Open Lighting Architecture: ola::http::ExportMap Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::http::ExportMap Class Reference

## Detailed Description

A container for the exported variables.

## Public Member Functions
BoolVariable * | GetBoolVar (const std::string &name)
| Lookup or create a BoolVariable.
IntegerVariable * | GetIntegerVar (const std::string &name)
| Lookup or create an IntegerVariable.
CounterVariable * | GetCounterVar (const std::string &name)
| Lookup or create a CounterVariable.
StringVariable * | GetStringVar (const std::string &name)
| Lookup or create a StringVariable.
StringMap * | GetStringMapVar (const std::string &name, const std::string &label="")
IntMap * | GetIntMapVar (const std::string &name, const std::string &label="")
UIntMap * | GetUIntMapVar (const std::string &name, const std::string &label="")
std::vector< BaseVariable * > | AllVariables () const
| Fetch a list of all known variables.

## Member Function Documentation

## ◆ AllVariables()

vector< BaseVariable * > ola::ExportMap::AllVariables | ( |  | ) | const

Fetch a list of all known variables.

Returns
  a vector of all variables.

## ◆ GetBoolVar()

BoolVariable * ola::ExportMap::GetBoolVar | ( | const std::string & | name | ) |

Lookup or create a BoolVariable.

Parameters

  name | the name of this variable.

Returns
  a pointer to the BoolVariable.

The variable is created if it doesn't already exist. The pointer is valid for the lifetime of the ExportMap.

## ◆ GetCounterVar()

CounterVariable * ola::ExportMap::GetCounterVar | ( | const std::string & | name | ) |

Lookup or create a CounterVariable.

Parameters

  name | the name of this variable.

Returns
  a CounterVariable.

The variable is created if it doesn't already exist. The pointer is valid for the lifetime of the ExportMap.

## ◆ GetIntegerVar()

IntegerVariable * ola::ExportMap::GetIntegerVar | ( | const std::string & | name | ) |

Lookup or create an IntegerVariable.

Parameters

  name | the name of this variable.

Returns
  an IntegerVariable.

The variable is created if it doesn't already exist. The pointer is valid for the lifetime of the ExportMap.

## ◆ GetStringVar()

StringVariable * ola::ExportMap::GetStringVar | ( | const std::string & | name | ) |

Lookup or create a StringVariable.

Parameters

  name | the name of this variable.

Returns
  a StringVariable.

The variable is created if it doesn't already exist. The pointer is valid for the lifetime of the ExportMap.

The documentation for this class was generated from the following files:

- include/ola/ExportMap.h
- common/export_map/ExportMap.cpp